#include <iostream>
#include <cmath>


using namespace std;

int main()
{
    int n, m, prvi=0, drugi=0;
    long long zbir=0;

    cin >> n >> m;

    long long a[n];

    for(int i=0; i < n; i++)
    {
        cin >> a[i];
    }

    for(int i=0; i < m; i++)
    {
        cin >> prvi >> drugi;
        zbir += abs(a[prvi-1] + a[drugi-1]);
    }

    cout << zbir << endl;
    return 0;
}